Last updated: October 24, 2026
Update User
Update an existing user.
Request
POST
https://test.miniorange.in/moas/api/admin/users/updateAuthentication headers (required on every request)
- Customer-Key
- Integer — your account customer key
- Timestamp
- Milliseconds since epoch (e.g. Date.now())
- Authorization
- SHA-512 of customerKey + timestamp + apiKey
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| customerKey | String | Required | Your customer key |
| username | String | Required | Existing username |
| firstName | String | Optional | Updated first name |
| lastName | String | Optional | Updated last name |
| String | Optional | Updated email |